/* ### Colors ### */

body
	--base-color: #bbb
	--bg-color: #222
	--border-color: #444
	--cirrus-color: #2db4e1
	--hovered-color: #fff
	--nav-color: #111	

/* ### Fonts ### */
	
@font-face
	font-display: swap
	font-family: 'Cabin'
	src: url("/assets/fonts/cabin-regular.woff2") format("woff2")

@font-face
	font-display: swap
	font-family: 'Cabin'
	font-weight: bold
	src: url("/assets/fonts/cabin-bold.woff2") format("woff2")

/* ### Commons ### */

*
	word-break: break-word

a
	color: inherit
	text-decoration: underline
	text-decoration-color: var(--cirrus-color)
	text-decoration-thickness: 2px
	text-underline-offset: 3px

.cta
	background-color: var(--cirrus-color)
	border-radius: .25em
	color: var(--bg-color)
	display: block
	margin: 3em auto
	max-width: 180px
	padding: 1em 1.5em
	text-align: center

h1
	color: var(--cirrus-color)

h2
	font-size: 1.75rem
	margin-bottom: 12px
	margin-top: 2em

h3
	margin-top: 1.5em
	margin-bottom: 0em

svg
	fill: var(--hovered-color)
	margin: 0 .5em
	vertical-align: middle
	width: 24px

code
	border-radius: .35em
	border: solid 1px var(--lightgray)
	box-shadow: rgba(75, 75, 75, .4) 0px 1px 4px
	font-family: 'Cabin', sans-serif
	margin: 0 .25em
	padding: .25em .5em

video
	margin: 1em 0
	max-width: 768px
	width: 100%

/* ### Specifics ### */

body
	background-color: var(--bg-color)
	box-sizing: border-box
	color: var(--base-color)
	font-family: 'Cabin', sans-serif
	line-height: 2em
	margin: 0
		
.header	
	align-items: center
	gap: 1.5em
	margin: 3em 4em
	&__a
		&__logo
			background-color: var(--border-color)
			border-radius: 50%
			box-shadow: rgba(5, 5, 5, .7) 0px 1px 4px
			box-sizing: border-box
			padding: .5em
			margin-top: .75em
			min-width: 72px
	&__container
		&__title
			color: var(--cirrus-color)
			font-size: 1.75em
			font-weight: bold
			margin: 0
		&__category
			font-style: italic
			margin: 0

.article .header
	display: flex
	margin: 0 0 2em 0
	h1	
		font-size: 1.5em

body > div > .header
	display: none

.navigation
	background-color: var(--nav-color)
	padding: 3em
	&__cta
		display: block
		text-align: right
		margin-bottom: 1em
		&__svg	
			fill: var(--cirrus-color)
			height: 36px
			width: 36px
	&__list
		list-style-type: none
		padding: 0
		&__item
			margin-bottom: .25em
			margin-top: 1em
	li
		padding-left: .25em
	.--selected
		color: var(--hovered-color)
		left: -1.2em
		list-style-type: none
		position: relative
		& ::before
			background-color: var(--cirrus-color)
			border-radius: 50%
			content: ""
			height: 9px	
			margin-right: 10px
			width: 9px
			display: inline-flex

.article
	padding: 3em
	max-width: 768px
	> p:first-of-type
		margin-top: 0
	&__roles,
	&__version
		background-color: var(--border-color)
		color: var(--hovered-color)
		font-size: .9em
		padding: .5em 1em
		margin-right: .5em
		line-height: 3em
	&__version
		border: solid 1px var(--border-color)
		background-color: var(--bg-color)
	img
		display: block
		max-width: 100%
		margin: 2em auto
	figure
		padding: 0
		margin: 2em 0
	figcaption
		font-style: italic
		text-align: center
		margin-top: -1em

.to
	background-color: var(--border-color)
	bottom: 0
	color: var(--base-color)
	display: flex
	gap: 1em
	justify-content: space-between
	padding: 1em 3em
	position: sticky
	text-align: center

/* ### Responsive ### */

@media screen and (min-width: 960px)

	body
		display: flex
		> div
			max-width: 50ch
	
	body > div > .header
		display: flex

	.article .header
		display: none
		
	.navigation
		border-radius: 1.5em
		box-shadow: rgba(5, 5, 5, .7) 0px 1px 4px
		margin: 0 3em 3em 3em
		position: sticky
		top: 3em
	
	.article
		padding-left: 2em

	.to
		display: none